commit:     524336c35b23cff1b9c46113f99775910c9efafc
Author:     Alexander Tsoy <alexander <AT> tsoy <DOT> me>
AuthorDate: Tue Feb 16 17:23:20 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Feb 22 14:47:14 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=524336c3

net-p2p/amule: Version bump to 2.3.3

Closes: https://bugs.gentoo.org/769569
Signed-off-by: Alexander Tsoy <alexander <AT> tsoy.me>
Closes: https://github.com/gentoo/gentoo/pull/19494
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 net-p2p/amule/Manifest           |   1 +
 net-p2p/amule/amule-2.3.3.ebuild | 145 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 146 insertions(+)

diff --git a/net-p2p/amule/Manifest b/net-p2p/amule/Manifest
index 8711fe522d6..83f4b988336 100644
--- a/net-p2p/amule/Manifest
+++ b/net-p2p/amule/Manifest
@@ -1 +1,2 @@
 DIST aMule-2.3.2.tar.xz 3895300 BLAKE2B 
cf1bce3a0fcd0c108e369b7aed257f067a4ce3ce2fd4e8509b577ac58f8bc52fbc9aabc5c703bc9111dd06ac011ee1f3756279b093b69bcaada106226493237a
 SHA512 
3064b086f8459b4372ea0c11f239a08167c7beac3dde26889f056f617b480b487bea10c2cae8fdfa1ae99c10fc9e715adc8e01e4b968389861aa47c3ec8c0016
+DIST aMule-2.3.3.tar.xz 3699376 BLAKE2B 
4b1fb98bd52e4c75f81773020d4fc258f8e7c4d7a5d40a7aadabc8fd27b3079705761650fdcd7cd089da77575a74f1950f02039ee14bf4b9894550b8b3d9191b
 SHA512 
a5a80c5ddd1e107d92070c1d8e232c2762c4c54791abc067c739eef7c690062ed164dd7733808f80c762719261162aeb3d602308964dda2670a0bb059d87b74e

diff --git a/net-p2p/amule/amule-2.3.3.ebuild b/net-p2p/amule/amule-2.3.3.ebuild
new file mode 100644
index 00000000000..5675f401b4c
--- /dev/null
+++ b/net-p2p/amule/amule-2.3.3.ebuild
@@ -0,0 +1,145 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+WX_GTK_VER="3.0-gtk3"
+
+inherit wxwidgets xdg-utils
+
+if [[ ${PV} == 9999 ]] ; then
+       EGIT_REPO_URI="https://github.com/amule-project/amule";
+       inherit autotools git-r3
+else
+       MY_P="${PN/m/M}-${PV}"
+       SRC_URI="https://download.sourceforge.net/${PN}/${MY_P}.tar.xz";
+       S="${WORKDIR}/${MY_P}"
+       KEYWORDS="~alpha ~amd64 ~arm ~ppc ~ppc64 ~sparc ~x86"
+fi
+
+DESCRIPTION="aMule, the all-platform eMule p2p client"
+HOMEPAGE="http://www.amule.org/";
+
+LICENSE="GPL-2+"
+SLOT="0"
+IUSE="daemon debug geoip nls remote stats upnp +X"
+
+RDEPEND="
+       dev-libs/boost:=
+       dev-libs/crypto++:=
+       sys-libs/binutils-libs:0=
+       sys-libs/readline:0=
+       sys-libs/zlib
+       >=x11-libs/wxGTK-3.0.4:${WX_GTK_VER}[X?]
+       daemon? ( acct-user/amule )
+       geoip? ( dev-libs/geoip )
+       nls? ( virtual/libintl )
+       remote? (
+               acct-user/amule
+               media-libs/libpng:0=
+       )
+       stats? ( media-libs/gd:=[jpeg,png] )
+       upnp? ( net-libs/libupnp:0 )
+"
+DEPEND="${RDEPEND}
+       X? ( dev-util/desktop-file-utils )
+"
+BDEPEND="
+       virtual/pkgconfig
+       nls? ( sys-devel/gettext )
+"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-2.3.2-disable-version-check.patch"
+)
+
+pkg_setup() {
+       setup-wxwidgets
+}
+
+src_prepare() {
+       default
+
+       if [[ ${PV} == 9999 ]]; then
+               ./autogen.sh || die
+       fi
+}
+
+src_configure() {
+       local myconf=(
+               --with-denoise-level=0
+               --with-wx-config="${WX_CONFIG}"
+               --enable-amulecmd
+               --with-boost
+               $(use_enable debug)
+               $(use_enable daemon amule-daemon)
+               $(use_enable geoip)
+               $(use_enable nls)
+               $(use_enable remote webserver)
+               $(use_enable stats cas)
+               $(use_enable stats alcc)
+               $(use_enable upnp)
+       )
+
+       if use X; then
+               myconf+=(
+                       $(use_enable remote amule-gui)
+                       $(use_enable stats alc)
+                       $(use_enable stats wxcas)
+               )
+       else
+               myconf+=(
+                       --disable-monolithic
+                       --disable-amule-gui
+                       --disable-alc
+                       --disable-wxcas
+               )
+       fi
+
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       default
+
+       if use daemon; then
+               newconfd "${FILESDIR}"/amuled.confd-r1 amuled
+               newinitd "${FILESDIR}"/amuled.initd amuled
+       fi
+       if use remote; then
+               newconfd "${FILESDIR}"/amuleweb.confd-r1 amuleweb
+               newinitd "${FILESDIR}"/amuleweb.initd amuleweb
+       fi
+
+       if use daemon || use remote; then
+               keepdir /var/lib/${PN}
+               fowners amule:amule /var/lib/${PN}
+               fperms 0750 /var/lib/${PN}
+       fi
+}
+
+pkg_postinst() {
+       local ver
+
+       if use daemon || use remote; then
+               for ver in ${REPLACING_VERSIONS}; do
+                       if ver_test ${ver} -lt "2.3.2-r4"; then
+                               elog "Default user under which amuled and 
amuleweb daemons are started"
+                               elog "have been changed from p2p to amule. 
Default home directory have been"
+                               elog "changed as well."
+                               echo
+                               elog "If you want to preserve old 
download/share location, you can create"
+                               elog "symlink /var/lib/amule/.aMule pointing to 
the old location and adjust"
+                               elog "files ownership *or* restore AMULEUSER 
and AMULEHOME variables in"
+                               elog "/etc/conf.d/{amuled,amuleweb} to the old 
values."
+
+                               break
+                       fi
+               done
+       fi
+
+       use X && xdg_desktop_database_update
+}
+
+pkg_postrm() {
+       use X && xdg_desktop_database_update
+}

Reply via email to